Token payroll
Update Selected Employees
Replaces the selectedEmployeeIds array on a legacy Payroll row.
POSThttps://api.toku.com/stablecoin-payroll/update-selected-employees
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-selected-employees' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollId": "string",
"selectedEmployeeIds": [
"string"
]
}'200 response
{
"selectedEmployeeIds": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollIdstringrequiredAllowed: 1 to 200 characters
selectedEmployeeIdsstring[]requiredAllowed: at most 10000 items
Response
200Successful response
selectedEmployeeIdsstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits